%define realname Imagick
%define modname imagick
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 55_%{modname}.ini
%define mod_src %{modname}.c

%define build_test 1

Summary:	Provides a wrapper to the ImageMagick library for PHP
Name:		php-%{modname}
Epoch:		2
Version:	3.4.4
%define 	subrel 1
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/imagick
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:  php-devel >= 3:7.0.0
BuildRequires:	imagemagick-devel >= 6.3.8
Requires:	imagemagick >= 6.3.8
Requires:	php >= 3:7.0.0

%description
Imagick is a native php extension to create and modify images using the
ImageMagick API.

imagick is a native php-extension. See the examples in the
%{_docdir}/%{name}/examples directory for some hints on
how to use it.

%prep

%setup -q -n imagick-%{version}
[ "../package.xml" != "/" ] && mv -f ../package.xml .

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[imagick]
imagick.locale_fix = 0
EOF


%files
%doc examples ChangeLog CREDITS LICENSE
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Tue Jan 05 2021 neoclust <neoclust> 2:3.4.4-1.1.mga7
+ Revision: 1669127
- Rebuild against new imagemagick

* Thu May 02 2019 mokraemer <mokraemer> 2:3.4.4-1.mga7
+ Revision: 1396206
- new version 3.4.4

* Wed Dec 12 2018 mokraemer <mokraemer> 2:3.4.3-9.mga7
+ Revision: 1340442
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2:3.4.3-8.mga7
+ Revision: 1325842
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 2:3.4.3-7.mga7
+ Revision: 1300224
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 rapsys <rapsys> 2:3.4.3-6.mga7
+ Revision: 1239047
- Rebuild for new imagick version

* Wed May 02 2018 kekepower <kekepower> 2:3.4.3-5.mga7
+ Revision: 1224491
- Rebuild for ImageMagic 7.0.7.29

* Sun Jan 21 2018 wally <wally> 2:3.4.3-4.mga7
+ Revision: 1195339
- rebuild for new imagemagick

* Wed Dec 27 2017 wally <wally> 2:3.4.3-3.mga7
+ Revision: 1185828
- rebuild for new imagemagick

* Sun Dec 03 2017 mokraemer <mokraemer> 2:3.4.3-2.mga7
+ Revision: 1181029
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 2:3.4.3-1.mga7
+ Revision: 1177155
- new version

* Sun May 28 2017 shlomif <shlomif> 2:3.4.1-6.mga6
+ Revision: 1105244
- rebuild for new imagemagick lib-major

* Tue Mar 07 2017 rapsys <rapsys> 2:3.4.1-5.mga6
+ Revision: 1089551
- Rebuild to avoid segfault after php update

* Sun Nov 27 2016 wally <wally> 2:3.4.1-4.mga6
+ Revision: 1070360
- drop unneeded freetype requires

* Tue Aug 23 2016 daviddavid <daviddavid> 2:3.4.1-3.mga6
+ Revision: 1047983
- rebuild for new imagemagick

* Tue Jun 28 2016 rapsys <rapsys> 2:3.4.1-2.mga6
+ Revision: 1037994
- Rebuild to avoid php warning: Imagick was compiled against Image Magick version 1683 but version 1684 is loaded. Imagick will run but may behave surprisingly

* Tue Mar 22 2016 oden <oden> 2:3.4.1-1.mga6
+ Revision: 993998
- 3.4.1

* Thu Feb 25 2016 oden <oden> 2:3.4.0-0.RC6.1.mga6
+ Revision: 979069
- fix build
- 3.4.0RC6

* Fri Feb 12 2016 umeabot <umeabot> 2:3.1.2-8.mga6
+ Revision: 958371
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:3.1.2-7.mga5
+ Revision: 739889
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:3.1.2-6.mga5
+ Revision: 687143
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 2:3.1.2-5.mga5
+ Revision: 616567
- rebuilt for php-5.6.0beta1

* Sat Feb 08 2014 fwang <fwang> 2:3.1.2-4.mga5
+ Revision: 586235
- rebuild for new imagemagick

* Fri Jan 24 2014 pterjan <pterjan> 2:3.1.2-3.mga4
+ Revision: 567606
- Rebuild for new PHP

* Mon Oct 21 2013 umeabot <umeabot> 2:3.1.2-2.mga4
+ Revision: 536932
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 oden <oden> 2:3.1.2-1.mga4
+ Revision: 485908
- 3.1.2

* Mon Sep 23 2013 oden <oden> 2:3.1.1-1.mga4
+ Revision: 484333
- 3.1.1

* Fri Sep 06 2013 oden <oden> 2:3.1.0-1.mga4
+ Revision: 475358
- 3.1.0
- drop P0, seems fixed upstream

* Thu Jun 13 2013 oden <oden> 2:3.1.0-3.RC2.6.mga4
+ Revision: 442661
- rebuilt for php-5.5.0RC3

* Tue May 28 2013 fwang <fwang> 2:3.1.0-3.RC2.5.mga4
+ Revision: 429276
- fix magick include dir
- rebuild for new imagemagick

* Wed Jan 30 2013 oden <oden> 2:3.1.0-3.RC2.4.mga3
+ Revision: 393293
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2:3.1.0-3.RC2.3.mga3
+ Revision: 375809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 2:3.1.0-3.RC2.2.mga3
+ Revision: 330757
- rebuild for new imagemagick

* Sat Oct 13 2012 fwang <fwang> 2:3.1.0-3.RC2.1.mga3
+ Revision: 305173
- rebuild for new imagemagick

* Mon Jul 30 2012 spuhler <spuhler> 2:3.1.0-2RC2.mga3
+ Revision: 275877
- bumped Rel
  moved RC2 to release

* Sun Jul 29 2012 spuhler <spuhler> 1:3.1.0RC2-1.mga3
+ Revision: 275602
- upgrade to 3.1.0RC2

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:3.0.1-8.mga2
+ Revision: 223905
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:3.0.1-7.mga2
+ Revision: 185314
- rebuild against php-5.3.9

* Tue Sep 13 2011 fwang <fwang> 1:3.0.1-6.mga2
+ Revision: 142832
- rebuild for new imagemagick

* Sun Feb 06 2011 spuhler <spuhler> 1:3.0.1-5.mga1
+ Revision: 48000
- increase rel to 4 to be built
- removed buildroot definition from .spec

* Sun Jan 23 2011 ennael <ennael> 1:3.0.1-4.mga1
+ Revision: 35613
- imported package php-imagick


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.1-4mdv2011.0
+ Revision: 629814
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.1-3mdv2011.0
+ Revision: 628135
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.1-2mdv2011.0
+ Revision: 600499
- rebuild

* Mon Nov 22 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.1-1mdv2011.0
+ Revision: 599692
- 3.0.1

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.1-0.0.RC2.2mdv2011.0
+ Revision: 588837
- rebuild

* Thu Sep 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.1-0.0.RC2.1mdv2011.0
+ Revision: 578873
- 3.0.1RC2

* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 1:3.0.0-0.0.RC2.1mdv2011.0
+ Revision: 553490
- new version 3.0.0 RC2

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.0-0.0.RC1.2mdv2010.1
+ Revision: 514561
- rebuilt for php-5.3.2

* Mon Mar 01 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.0-0.0.RC1.1mdv2010.1
+ Revision: 512913
- 3.0.0RC1
- better versioning

* Sun Jan 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.0b2-1mdv2010.1
+ Revision: 495450
- 3.0.0b2

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 1:3.0.0b1-3mdv2010.1
+ Revision: 491456
- rebuild for new imagemagick

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.0b1-2mdv2010.1
+ Revision: 485395
- rebuilt for php-5.3.2RC1

* Sat Dec 19 2009 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.0b1-1mdv2010.1
+ Revision: 480117
- 3.0.0b1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.0-3mdv2010.1
+ Revision: 468177
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.0-2mdv2010.0
+ Revision: 451281
- rebuild

* Wed Jul 29 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.0-1mdv2010.0
+ Revision: 403392
- 2.3.0

  + Raphaël Gertz <rapsys@mandriva.org>
    - Rebuild

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.0-0.RC1.1mdv2010.0
+ Revision: 376960
- 2.3.0RC1

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.2-3mdv2009.1
+ Revision: 346505
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.2-2mdv2009.1
+ Revision: 341767
- rebuilt against php-5.2.9RC2

* Sat Feb 07 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.2-1mdv2009.1
+ Revision: 338375
- 2.2.2

* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 1:2.2.2-0.0.RC3.2mdv2009.1
+ Revision: 335034
- rebuild for new libmagick

* Sun Jan 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.2-0.0.RC3.1mdv2009.1
+ Revision: 330986
- 2.2.2RC3

* Tue Jan 13 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.2-0.0.RC2.1mdv2009.1
+ Revision: 329194
- 2.2.2RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.2-0.0.RC1.2mdv2009.1
+ Revision: 321802
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.2-0.0.RC1.1mdv2009.1
+ Revision: 321647
- 2.2.2RC1

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.1-2mdv2009.1
+ Revision: 310277
- rebuilt against php-5.2.7

* Tue Oct 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.1-1mdv2009.1
+ Revision: 297806
- 2.2.1

* Tue Sep 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.1-0.RC2.1mdv2009.0
+ Revision: 283045
- 2.2.1RC2

* Sat Aug 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.1-0.RC1.1mdv2009.0
+ Revision: 275328
- 2.2.1RC1

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.0-2mdv2009.0
+ Revision: 238404
- rebuild

* Thu Jul 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.0-1mdv2009.0
+ Revision: 233359
- 2.2.0

* Fri Jun 13 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.0-0.1.rc1.1mdv2009.0
+ Revision: 218775
- 2.2.0RC1

* Tue May 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.0-0.b2.1mdv2009.0
+ Revision: 202145
- 2.2.0b2

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.0-0.b1.2mdv2009.0
+ Revision: 200244
- rebuilt for php-5.2.6

* Wed Apr 30 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.0-0.b1.1mdv2009.0
+ Revision: 199432
- 2.2.0b1

* Mon Mar 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.1-1mdv2008.1
+ Revision: 183288
- 2.1.1

* Sun Feb 24 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.1-1.RC1.1mdv2008.1
+ Revision: 174388
- 2.1.1RC1, obsoletes the patch

* Mon Feb 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.0-1mdv2008.1
+ Revision: 165096
- 2.1.0

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.0-0.RC3.2mdv2008.1
+ Revision: 162100
- rebuild

* Mon Jan 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.0-0.RC3.1mdv2008.1
+ Revision: 151162
- 2.1.0RC3

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.0-0.RC2.2mdv2008.1
+ Revision: 146469
- rebuilt against new imagemagick libs (6.3.7)

* Wed Dec 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.0-0.RC2.1mdv2008.1
+ Revision: 137936
- 2.1.0RC2

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.1-2mdv2008.1
+ Revision: 107672
- restart apache if needed

* Thu Oct 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.1-1mdv2008.1
+ Revision: 102005
- 2.0.1

* Wed Oct 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-2mdv2008.0
+ Revision: 94891
- 2.0.0
- 2.0.0RC4
- 2.0.0RC3
- fix deps
- 2.0.0RC2

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-1.RC1.2mdv2008.0
+ Revision: 77550
- rebuilt against php-5.2.4

* Fri Aug 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-1.RC1.1mdv2008.0
+ Revision: 64725
- rebuild
- bump release
- bump release
- 2.0.0RC1

* Mon Jul 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.b3.1mdv2008.0
+ Revision: 52505
- 2.0.0b3

* Sun Jul 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.b2.1mdv2008.0
+ Revision: 46482
- 2.0.0b2

* Tue Jun 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.b1.1mdv2008.0
+ Revision: 41388
- 2.0.0b1

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.a3.4mdv2008.0
+ Revision: 39502
- use distro conditional -fstack-protector
- fix deps

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.a3.2mdv2008.0
+ Revision: 33812
- rebuilt against new upstream version (5.2.3)

* Wed May 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.a3.1mdv2008.0
+ Revision: 32748
- 2.0.0a3

* Mon May 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.a2.1mdv2008.0
+ Revision: 24032
- 2.0.0a2

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.13-2mdv2008.0
+ Revision: 21335
- rebuilt against new upstream version (5.2.2)

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.13-1mdv2008.0
+ Revision: 14496
- 0.9.13


* Wed Mar 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.11-6mdv2007.1
+ Revision: 147245
- rebuild

* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.11-5mdv2007.1
+ Revision: 117589
- rebuilt against new upstream version (5.2.1)

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.11-4mdv2007.1
+ Revision: 79291
- rebuild
- rebuilt for php-5.2.0
- Import php-imagick

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.11-2
- rebuilt for php-5.1.6

* Sat Aug 05 2006 Emmanuel Andry <eandry@mandriva.org> 1:0.9.11-1mdv2007.0
- fork for PHP5

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.11-3mdk
- rebuild

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.11-2mdk
- rebuilt against php-4.4.2

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.11-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.9.11-2mdk
- rebuilt against new Magick libs

* Tue Jul 12 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Wed Jul 06 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Wed Jun 15 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.9.11-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.9.11-1mdk
- renamed to php4-*

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.9.11-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.11-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.11-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.11-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.11-1mdk
- rebuild for php 4.3.10

* Wed Nov 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.9.11-2mdk
- nuke redundant provides

* Sat Oct 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.9.11-1mdk
- rebuild for php 4.3.9

* Mon Aug 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.9.11-2mdk
- rebuilt against new imagick libs

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.9.11-1mdk
- 0.9.11
- built for php 4.3.8

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.9.9-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Thu May 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.9.9-1mdk
- 0.9.9
- fix url
- built for php 4.3.6

